@charset "ISO-8859-1";

:root {
  --background-color: #ffffff;
  --header-background-color: #000000;
  --header-text-color: #ffffff;  
  --base-font-size: 1.1rem;
  --large-font-size: calc(var(--base-font-size) * 1.125);
  --larger-font-size: calc(var(--base-font-size) * 1.25);
  --header-font-size: calc(var(--base-font-size) * 2.00);
}

html, body {
  box-sizing: border-box;
  height: 100dvh;
  width: 100dvw;
  margin: 0;
  padding: 0;
  font-size: var(--base-font-size);
  font-family: sans-serif;
  background-color: white;
  overflow: hidden;
}

img {
  -webkit-user-drag: none; /* For WebKit browsers (Chrome, Safari) */
  -moz-user-drag: none;    /* For Mozilla browsers (Firefox) */
  -ms-user-drag: none;     /* For Internet Explorer/Edge */
  user-drag: none;         /* Standard property */
}

#veil {
	display: none;
	box-sizing: border-box;
	flex-direction: column;
	justify-content: center;
  	align-items: top;
	position: absolute;
	height: 100dvh;
	width: 100dvw;
	top: 0;
	left: 0;
	background-color: white;
	background-color: rgba(0, 0, 0, 0.75);
	background-image: none;
	z-index: 3;
	padding-bottom: 5px;
}

#veil.black {
	background-color: black;
}

#overallWrapper {
	position: relative;
	box-sizing: border-box;
	height: 100dvh;
	width: 100dvw;
	background-color: white;
}


#overallWrapper.close {
	transition: left 1.0s ease-in-out;
}

#introWrapper, #solvedWrapper {
	display: flex;
	box-sizing: border-box;
	flex-direction: column;
	justify-content: center;
  	align-items: top;
	position: absolute;
	height: 100dvh;
	width: 100dvw;
	top: 0;
	left: 0;
	background-color: white;
	padding-bottom: 5px;	
	background-image: url("../images/logo.png");
    background-repeat: no-repeat;
    background-size: auto 18dvh;
    background-position: right 2px bottom 2px;
}

.splash-heading {
	width: auto;
	padding: 5px;
}

.splash-heading .title {
	text-align: center;
	margin-top: 1vh;
	font-size: 8vmin;
	color: black;
}

.splash-heading .author {
	text-align: center;
	font-size: calc(8vmin * .7);
	color: black;
}

.splash-page {
	width: auto;
	padding: 5px;
	font-size: --var(base-font-size);
}

.splash-gap {
	flex-grow: 1;
	flex-shrink: 1;
}

#pageWrapper {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  height: 100%;
  padding: 5px;
  background-color: white;
  overflow: hidden;
}

#heading {
	display: flex;
    flex-direction: row;
    align-items: center;
    font-weight: bold;
    font-size: var(--large-font-size);
}

#heading button:active:not(:disabled) img {
	filter: invert(1);
}

#heading .name {
  box-sizing: border-box;
  flex: 1 1;
  text-align: left;
  padding-left: 5px;
  margin-right: 10px;
  overflow: hidden;
}

#heading .number {
  box-sizing: border-box; 
  text-align: right;
  padding-right: 5px;
  padding-left: 5px;
}

#contentScroll {
	box-sizing: border-box;
	overflow: auto;
    flex-shrink: 1;
}

#content {
	flex-shrink: 1;
	overflow: hidden;
}

#content > img:first-child {
    margin-top: 19px;
}

#content > :last-child {
	margin-bottom: 0;
}

#reply {
	box-sizing: border-box;
	display: flex;
	flex-direction: row;
	margin-top: 19px;
}

#reply .answerWrap {
	position: relative;
	flex-grow: 1;
	box-sizing: border-box;
	margin-right: 5px;
}

#reply .answer {
	width: 100%;
	box-sizing: border-box;
	border: 2px solid #7A2FFF;
	border: 2px solid black;
	font-family: monospace;
	font-size: var(--large-font-size);	
	height: calc(var(--large-font-size) * 1.5);
}

#reply .answer:invalid + #xout {
	display: none;
}

#reply .answer:focus {
	border-width: 3px;
	outline: none;
}

#reply .submitWrap {
	flex-grow: 0;
	box-sizing: border-box;
}

#reply .submit {
	box-sizing: border-box;
	font-size: var(--large-font-size);
	height: calc(var(--large-font-size) * 1.5);
}

#navigation {
	display: flex;
    flex-direction: row;
    padding: 3px;
}

#heading button {
	display: grid;
    place-items: center;
}

#heading button, #reply .submitWrap button {
	font-size: 110%;
	background-color: white;
	color: black;
	border: 2px solid black;
	font-weight: bold;
}

#heading button {
	height: 25px;
	border-width: 0;
	padding: 0;
}

#heading .prev img, #heading .next img {
	height: var(--large-font-size);
}

#heading button:active, #reply .submitWrap button:active {
	color: white;
	background-color: black;
}

#heading button:disabled {
	opacity: 0.3;
	color: black;
	background-color: white;
}

#xout {
	position: absolute;
	right: 5px;
	top: 50%; /* Moves the top edge of the element to the vertical center of the parent */
    transform: translateY(-50%);
	width: 25px; /* Adjust as needed */
    height: 25px; /* Must be equal to width for a perfect circle */
    border-width: 0;
	background-color: white;
	color: black;
    cursor: pointer;

  /* Centering the 'x' */
    display: flex;
    justify-content: center;
    align-items: center;
}

#xout img {
	height: 60%;
}

#xout:active {
	background-color: black;
}

#xout:active img {
	filter: invert(1);
}
